従業員賃金設定登録
POST /staffs/{staff_id}/wage_apply
POST
/staffs/{staff_id}/wage_apply
従業員の賃金設定を登録します。
対象
- プラン
- スタンダード
- プレミアム
- プレミアムプラス
- エンタープライズ
対象ユーザー権限
- 従業員管理編集(全て)
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” staff_id
required
string
従業員ID
Example
1Request Body required
Section titled “Request Body required ” One of:
時給の事業所別一括登録
object
division
required
給与形態区分
0: 時給
integer
effectiveDate
required
適用開始時期 [YYYY-MM-DD] 1970-01-01以降を指定してください
string format: date
settings
required
事業所別設定
Array<object>
object
storeId
required
事業所ID
string
businessHourId
営業時間帯ID(省略した場合、または null を指定した場合は、「すべての営業時間帯」として扱います)
string
wage
required
賃金
integer
holidayWage
休日賃金
integer
Example
{ "division": 0, "effectiveDate": "2025-01-01", "settings": [ { "storeId": "1", "businessHourId": "0", "wage": 1200, "holidayWage": 1300 }, { "storeId": "2", "businessHourId": "0", "wage": 1250, "holidayWage": 1350 } ]} 時給の事業所未指定登録
object
division
required
給与形態区分
0: 時給
integer
effectiveDate
required
適用開始時期 [YYYY-MM-DD] 1970-01-01以降を指定してください
string format: date
wage
required
賃金
integer
Example
{ "division": 0, "effectiveDate": "2025-01-01", "wage": 1200} 日給の事業所別一括登録
object
division
required
給与形態区分
1: 日給
integer
effectiveDate
required
適用開始時期 [YYYY-MM-DD] 1970-01-01以降、日給は月初日を指定してください
string format: date
settings
required
事業所別設定
Array<object>
object
storeId
required
事業所ID
string
wage
required
賃金
integer
Example
{ "division": 1, "effectiveDate": "2025-02-01", "settings": [ { "storeId": "1", "wage": 9000 }, { "storeId": "2", "wage": 9200 } ]} 日給の事業所未指定登録
object
division
required
給与形態区分
1: 日給
integer
effectiveDate
required
適用開始時期 [YYYY-MM-DD] 1970-01-01以降、日給は月初日を指定してください
string format: date
wage
required
賃金
integer
Example
{ "division": 1, "effectiveDate": "2025-02-01", "wage": 9000} 月給による更新
object
division
required
給与形態区分
2: 月給
integer
effectiveDate
required
適用開始時期 [YYYY-MM-DD] 1970-01-01以降、月給は月初日を指定してください
string format: date
wage
required
賃金
integer
fixedWage
object
amount
required
固定残業代金額
integer
rules
required
固定残業代に含める割増種別一覧
Array<object>
object
ruleType
required
固定残業代に含める割増種別
statutoryOvertime: 法定時間外midnight: 深夜prescribedHoliday: 所定休日statutoryHoliday: 法定休日month45HourOvertime: 月45時間超の時間外month60HourOvertime: 月60時間超の時間外
string
Example
{ "division": 2, "effectiveDate": "2026-03-01", "wage": 250000, "fixedWage": { "amount": 30000, "rules": [ { "ruleType": "statutoryOvertime" } ] }}Responses
Section titled “ Responses ”登録成功
object
staffId
従業員ID
string
wageApplyIds
作成した賃金設定ID一覧(入力順)
Array<string>
Example
{ "staffId": "1", "wageApplyIds": [ "10", "11" ]}- リクエスト形式が不正な場合
1970-01-01より前の適用開始時期を指定した場合- 日給・月給で月初日以外の適用開始時期を指定した場合
- 一意性制約・整合性制約に違反する場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Examples
1970-01-01 より前の適用開始時期
{ "type": "about:blank", "title": "Bad Request", "detail": "effectiveDate は 1970-01-01 以降の日付を指定してください。"}日給・月給で月初日以外の適用開始時期
{ "type": "about:blank", "title": "Bad Request", "detail": "effectiveDate は日給・月給の場合は月初日を指定してください。"}同一適用開始日の重複
{ "type": "about:blank", "title": "Bad Request", "detail": "同一適用開始日に重複する賃金設定が存在します。"}指定した従業員IDのデータが存在しない場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。従業員ID: 999"}